Loading...
Searching...
No Matches
GPULoopInfo.h File Reference

Data structure containing information about the current GPU loop nest hierarchy of blocks, threads, etc. More...

`#include <memory>`
`#include <vector>`
`#include "HalidePlugin.h"`
`#include "ThreadInfo.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::Autoscheduler::GPULoopInfo

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal
namespace | Halide::Internal::Autoscheduler

## Detailed Description

Data structure containing information about the current GPU loop nest hierarchy of blocks, threads, etc.

Useful when computing GPU features

Definition in file GPULoopInfo.h.